using System;

namespace ReallifeGamemode.Server.Report
{
  internal class ReportManage
  {
    private String user;
    private String admin;
    private String reportText;
    private Boolean assigned;

    public ReportManage(String nUser, string nReportText)
    {
      this.user = nUser;
      this.admin = "N/A";
      this.assigned = false;
      this.reportText = nReportText;
    }

    public void assign(String nAdmin)
    {
      this.assigned = true;
      this.admin = nAdmin;
    }

    public String getAdmin()
    {
      return this.admin;
    }

    public bool isAssigned()
    {
      return this.assigned;
    }

    public String getUser()
    {
      return this.user;
    }

    public String getReporttext()
    {
      return this.reportText;
    }
  }
}
